import request from '@/utils/request'

// 查询检验节点维护列表
export function listCheckType(query) {
	return request({
		url: '/quality/checkType/list',
		method: 'get',
		params: query
	});
}

// 查询检验节点维护详细
export function getCheckType(id) {
	return request({
		url: '/quality/checkType/' + id,
		method: 'get'
		});
}

// 新增检验节点维护
export function addCheckType(data) {
	return request({
		url: '/quality/checkType',
		method: 'post',
		data: data
	});
}

// 修改检验节点维护
export function updateCheckType(data) {
	return request({
		url: '/quality/checkType',
		method: 'put',
		data: data
	});
}

// 删除检验节点维护
export function delCheckType(id) {
	return request({
		url: '/quality/checkType/' + id,
		method: 'delete'
	});
}
